<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<meta name="viewport" content="target-densitydpi=device-dpi, width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, minimal-ui" />
	<title>Coinmarket ticker</title>
	
	<link rel="stylesheet" href="node_modules/bootstrap/dist/css/bootstrap.css">
	<link rel="stylesheet" href="style.css">
	
	<script src="node_modules/angular/angular.js"></script>
	<script src="node_modules/angular-bootstrap/ui-bootstrap.js"></script>
	<script src="node_modules/angular-bootstrap/ui-bootstrap-tpls.js"></script>
	<script src="script.js"></script>
</head>
<body ng-app="app">
	<div ng-controller="ctrl">
		<div class="container">
			<div class="navigate">
				<div class="col-sm-3 col-lg-2 form-group">
					<select class="form-control" ng-model="changeTime">
						<option value="1h">Change (%) 1h</option>
						<option value="24h">Change (%) 24h</option>
						<option value="7d">Change (%) 7d</option>
					</select>
				</div>
				<div class="col-sm-3 col-lg-2 form-group">
					<select class="form-control" ng-model="priceCoin">
						<option value="usd">USD</option>
						<option value="btc">BTC</option>
					</select>
				</div>
				<div class="right">
					<pagination 
						max-size="6" boundary-links="true"
						total-items="totalItems" 
						items-per-page="itemsPerPage" 
						ng-model="currentPage" 
						ng-change="pageChanged()">
					</pagination>	
				</div>
			</div>
			<div class="col-sm-12">
				<table class="table">
					<thead>
						<tr class="row">
							<th class="col-sm-1 mouse-hand" 
								ng-class="{dropup: !rank}"
								ng-click="changeRank(); sorting = 'rank'"><span class="text-success caret"></span>#</th>
							<th class="mouse-hand col-sm-1" ng-class="{dropup: !sortObject['symbol']}" ng-click="sortingBy('symbol')"><span class="text-success caret"></span>Name</th>
							<th class="mouse-hand col-sm-3" ng-class="{dropup: !sortObject['market_cap_usd']}" ng-click="sortingBy('market_cap_usd')"><span class="text-success caret"></span>Market Cap</th>
							<th class="mouse-hand col-sm-2" ng-class="{dropup: !sortObject['price_' + priceCoin]}" ng-click="sortingBy('price_' + priceCoin)"><span class="text-success caret"></span>Price</th>
							<th class="mouse-hand col-sm-3" ng-class="{dropup: !sortObject['24h_volume_usd']}" ng-click="sortingBy('24h_volume_usd')"><span class="text-success caret"></span>Volume (24h)</th>
							<th class="mouse-hand col-sm-2" ng-class="{dropup: !sortObject['percent_change_'+changeTime]}" ng-click="sortingBy('percent_change_'+changeTime)"><span class="text-success caret"></span>% Change ({{ changeTime}})</th>
						</tr>
					</thead>
					<tbody>
						<tr class="row" ng-repeat="rate in rates">
							<td ng-bind="rate.rank"></td>
							<td class="text-info" ng-bind="rate.symbol"></td>
							<td ng-bind="rate.market_cap_usd | currency"></td>
							<td ng-show="priceCoin=='usd'" ng-bind="rate.price_usd | currency"></td>
							<td ng-show="priceCoin=='btc'" ng-bind="rate.price_btc "></td>
							<td ng-bind="rate['24h_volume_usd'] | currency"></td>
							<td ng-show="changeTime == '1h'"
								ng-class="persentColor(rate.percent_change_1h)"									
								ng-bind="rate.percent_change_1h + '%'"></td>
							<td ng-show="changeTime == '24h'"
								ng-class="persentColor(rate.percent_change_24h)"									
								ng-bind="rate.percent_change_7d + '%'"></td>
							<td ng-show="changeTime == '7d'"
								ng-class="persentColor(rate.percent_change_7d)"									
								ng-bind="rate.percent_change_7d + '%'"></td>
						</tr>
					</tbody>
				</table>	
			</div>	
		</div>
	</div>
</body>
</html>